// componente
import { Component, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';
@Component({
  selector: 'app-acctions-modal',
  templateUrl: './acctions-modal.component.html',
  styleUrls: ['./acctions-modal.component.css']
})
export class AcctionsModalComponent {
  selectedElements: any;

  constructor(
    private toastService: ToastrService,
    public dialogRef: MatDialogRef<AcctionsModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {
    this.selectedElements = data.selectedElements;
  }

  onCancel(): void {
    this.dialogRef.close(null);
  }

  onSend(): void {

    this.toastService.success(' Acción enviada a: ' + this.selectedElements);
  }
}
